.drag-segmentation
  display: flex;
  flex-direction: column;
.drag-maindiv
  display: flex;
  flex: 1;
  justify-content: space-between;
  margin-bottom: 3px;
.drag-innerdiv
  display: flex;
  align-items: center;
  margin-bottom: 10px;
.seg-scrollable-innerdiv
  display: flex;
  flex: 1;
  flex-direction: column;
  margin: 2px;
.seg-scrollable-outerdiv
  display: flex;
  flex-direction: column;
  height: 92%;
.seg-range
  margin-left: 5px;
.seg-enable
  margin-top: 2px;
  cursor: pointer;
.seg-pointer
  cursor: pointer;
.seg-edit
  padding: 0 5px;
  cursor: pointer;
.seg-edit-inprogress-button
  cursor: pointer;
  color: var(--active-color);
.seg-edit-button
  cursor: pointer;
  color: var(--default-color);
.seg-edit-disabled-button
  pointer-events: none;
  cursor: not-allowed;
  -webkit-box-shadow: none;
  box-shadow: none;
  opacity: .65;
.edit-icon-size-toolbar
  font-size: 20px;

$selectedStrokeWidth = 2px
.segmentationDialog
  width: 250px
  padding: 5px

  .tooltip-inner
    height: 100%;
    color: var(--default-color);

  .scrollableSegmentation
    height: 94%;
    overflow: auto;

    &::-webkit-scrollbar
      display: none;

    ul
      margin: 0
      padding: 0
      li
        display: flex
        padding: 2*$selectedStrokeWidth
        align-items: center
        cursor: pointer;

        &.selected
            padding: $selectedStrokeWidth
            border: $selectedStrokeWidth solid
            border-radius: 6px
            theme('border-color', '$activeColor')
            box-shadow: none
            transition($sidebarTransition)


  .toolbar-button
      width: 100%;
      display: flex;
      flex-direction: row-reverse;
      align-items: center;
      justify-content: center;
      height: 6%;
      cursor: pointer;
      > *
          margin: 0 5px;
      &.disabled
        cursor: not-allowed

.load-mask-title
  width: 90%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  text-align: left;

.load-mask-category
  color: white;
  padding: 4px 4px 4px 10px;
  background: #085070;
  display: flex;
  align-items: center;
  cursor: pointer;

.segmentations
  min-height: 50px;
